This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 170627 - Yum crashes after http errors
Yum crashes after http errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 09:46 EDT by James Greenwood
Modified: 2014-01-21 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Greenwood 2005-10-13 09:46:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Everytime I run yum I get checksum errors (written in a different bugzilla).

After a while of this yum crashes.

Error text below.

(3/236): evolution-2.2.3- 100% |=========================| 9.3 MB    01:22
http://ftp1.skynet.cz/pub/linux/fedora/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno -1] Package does not match checksum
Trying other mirror.
http://ftp.chg.ru/pub/Linux/fedora/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: HTTP Error 404: Date: Thu, 13 Oct 2005 13:32:11 GMT
Server: Apache/1.3.33 (Unix)
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://mirror.netglobalis.net/pub/fedora/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: HTTP Error 404: Date: Thu, 13 Oct 2005 13:32:12 GMT
Server:
Content-Length: 330
Connection: close
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: HTTP Error 404: Date: Thu, 13 Oct 2005 13:31:53 GMT
Server: Apache
Content-Length: 278
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://klid.dk/homeftp/fedora/linux/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: HTTP Error 403: Date: Thu, 13 Oct 2005 13:32:44 GMT
Server: Apache-AdvancedExtranetServer/1.3.28 (Mandrake Linux/3.4.92mdk) PHP/4.3.3
Connection: close
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: HTTP Error 403: Date: Thu, 13 Oct 2005 13:32:51 GMT
Server: Apache/2.0.46 (Red Hat)
Content-Length: 373
Connection: close
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: <urlopen error (101, 'Network is unreachable')>
Trying other mirror.
http://mirror.averse.net/fedora/linux/core/updates/4/x86_64/evolution-2.2.3-2.fc4.x86_64.rpm: [Errno 4] IOError: HTTP Error 404: Date: Thu, 13 Oct 2005 13:33:02 GMT
Server: Apache
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 27, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 170, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 651, in doTransaction
    problems = self.downloadPkgs(downloadpkgs)
  File "__init__.py", line 605, in downloadPkgs
  File "repos.py", line 619, in get
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in _mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in _get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range


Version-Release number of selected component (if applicable):
yum-2.4.0-0.fc4

How reproducible:
Always

Steps to Reproduce:
1.run the command yum update
2.
3.
  

Actual Results:  The error show above happened

Expected Results:  Should update the system

Additional info:

This is a fresh install of FC4
Comment 1 Stephen Warren 2005-12-03 12:37:01 EST
I am seeing this error in fc5test1, when network connectivity problems occur.

yum-2.4.0-14

log:

Downloading Packages:
(1/9): hardlink-1.0-1.18. 100% |=========================| 9.2 kB    00:00
(2/9): kernel-xen-hypervi 100% |=========================|  14 MB    04:05
(3/9): kernel-devel-2.6.1 100% |=========================| 4.0 MB    01:18
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/i386/Fedora/RPMS/kernel-devel-2.6.14-1.1735_FC5.i686.rpm:
[Errno 4] Socket Error: timed out
Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/Fedora/RPMS/kernel-devel-2.6.14-1.1735_FC5.i686.rpm:
[Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
http://mirrors.kernel.org/fedora/core/development/i386/Fedora/RPMS/kernel-devel-2.6.14-1.1735_FC5.i686.rpm:
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
Trying other mirror.
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/kernel-devel-2.6.14-1.1735_FC5.i686.rpm:
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
Trying other mirror.
(3/9): kernel-devel-2.6.1 100% |=========================| 201 kB    00:02
(4/9): kernel-xen-hypervi 100% |=========================| 4.0 MB    00:57
(5/9): bridge-utils-1.0.4 100% |=========================|  26 kB    00:00
(6/9): sysfsutils-1.3.0-1 100% |=========================|  61 kB    00:01
(7/9): xen-3.0-0.20051109 100% |=========================| 1.0 MB    00:18
(8/9): kernel-xen-guest-d 100% |=========================| 3.7 MB    01:12
(9/9): kernel-xen-guest-2 100% |=========================| 480 kB    00:16
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/Fedora/RPMS/kernel-xen-guest-2.6.12-1.13_FC5.i686.rpm:
[Errno 4] Socket Error: timed out
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 27, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 170, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 652, in doTransaction
    problems = self.downloadPkgs(downloadpkgs)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 605, in downloadPkgs
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 619, in get
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in
_mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in
_get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range
Comment 2 Jeremy Katz 2006-04-19 16:12:24 EDT
This should be fixed in newer versions

Note You need to log in before you can comment on or make changes to this bug.